设置环境 - 适用于 .NET 的 AWS 开发工具包
AWS 文档中描述的 AWS 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 AWS 服务入门

本文属于机器翻译版本。若本译文内容与英语原文存在差异,则一律以英文原文为准。

设置环境

这是适用于预览版中功能的预发行文档。本文档随时可能更改。

以下部分说明如何设置 环境以运行 。

Node.js

需要 AWS CDK、 和 AWS CDK 需要 Node.js 版本 10.13.0 或更高版本(不包括版本 13.0.0 到 13.3.0)。要查看已安装的 Node.js 版本,请在命令提示符处或在终端中运行以下命令:

node --version
注意

如果计算机上AWS CDK未安装 ,或者安装AWS CDK的 低于所需的最低版本 (1.95.2),则部署工具将安装只有该工具使用的 CDK 的临时和“私有”副本,以使计算机的全局配置保持不变。

.NET Core 和 .NET

您的应用程序必须从 .NET Core 3.1 或更高版本(例如,.NET Core 3.1、.NET 5.0 等)构建。要查看您拥有的版本,请在命令提示符上或在终端中运行以下命令:

dotnet --version

有关如何安装或更新 .NET 的信息,请参阅 https://dotnet.microsoft.com/

(可选)Docker

如果您计划使用 将应用程序部署到 Amazon Elastic Container Service (Amazon ECS),AWS Fargate则必须已在其中运行部署工具的 Docker。有关更多信息,请参阅 https://docs.docker.com/engine/install/

(Linux 和 macOS) ZIP CLI

ZIP CLI 在为部署包创建 ZIP 程序包时使用。它用于维护 Linux 文件权限。